Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class IEKeySpec

    java.lang.Object
      org.bouncycastle.jce.spec.IEKeySpec

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.spec.KeySpec, IESKey

    public class IEKeySpec

extends java.lang.Object
implements java.security.spec.KeySpec, IESKey

key pair for use with an integrated encryptor - together they provide what's required to generate the message.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Constructor Summary
`IEKeySpec(java.security.PrivateKey privKey, java.security.PublicKey pubKey)`

Method Summary
`java.lang.String` `getAlgorithm()` return "IES"
`byte[]` `getEncoded()` returns null
`java.lang.String` `getFormat()` return null
`java.security.PrivateKey` `getPrivate()` return the local private key.
`java.security.PublicKey` `getPublic()` return the intended recipient's/sender's public key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IEKeySpec

    public IEKeySpec(java.security.PrivateKey privKey,
                     java.security.PublicKey pubKey)

Parameters:
  `privKey` - our private key.
  `pubKey` - the public key of the sender/recipient.

Method Detail

### getPublic

    public java.security.PublicKey getPublic()

  return the intended recipient's/sender's public key.

  Specified by:
    `getPublic` in interface `IESKey`

### getPrivate

    public java.security.PrivateKey getPrivate()

  return the local private key.

  Specified by:
    `getPrivate` in interface `IESKey`

### getAlgorithm

    public java.lang.String getAlgorithm()

  return "IES"

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return null

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  returns null

  Specified by:
    `getEncoded` in interface `java.security.Key`

Bouncy Castle Cryptography Library 1.45